org.apache.poi.hwmf.record

## Enum HwmfFont.WmfFontQuality

- java.lang.Object
- - java.lang.Enum<HwmfFont.WmfFontQuality>
  - - org.apache.poi.hwmf.record.HwmfFont.WmfFontQuality

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HwmfFont.WmfFontQuality>
  Enclosing class:
    HwmfFont

      public static enum HwmfFont.WmfFontQuality
      extends java.lang.Enum<HwmfFont.WmfFontQuality>

  The output quality defines how carefully to attempt to match the logical font attributes to those of an actual physical font.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANTIALIASED_QUALITY` Specifies that anti-aliasing SHOULD be used when rendering text, if the font supports it.
    `CLEARTYPE_QUALITY` Specifies that ClearType anti-aliasing SHOULD be used when rendering text, if the font supports it.
    `DEFAULT_QUALITY` Specifies that the character quality of the font does not matter, so DRAFT_QUALITY can be used.
    `DRAFT_QUALITY` Specifies that the character quality of the font is less important than the matching of logical attribuetes.
    `NONANTIALIASED_QUALITY` Specifies that anti-aliasing SHOULD NOT be used when rendering text.
    `PROOF_QUALITY` Specifies that the character quality of the font is more important than the matching of logical attributes.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HwmfFont.WmfFontQuality` | `valueOf(int flag)`
    `static HwmfFont.WmfFontQuality` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HwmfFont.WmfFontQuality[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT_QUALITY

          public static final HwmfFont.WmfFontQuality DEFAULT_QUALITY

      Specifies that the character quality of the font does not matter, so DRAFT_QUALITY can be used.

    - #### DRAFT_QUALITY

          public static final HwmfFont.WmfFontQuality DRAFT_QUALITY

      Specifies that the character quality of the font is less important than the matching of logical attribuetes. For rasterized fonts, scaling SHOULD be enabled, which means that more font sizes are available.

    - #### PROOF_QUALITY

          public static final HwmfFont.WmfFontQuality PROOF_QUALITY

      Specifies that the character quality of the font is more important than the matching of logical attributes. For rasterized fonts, scaling SHOULD be disabled, and the font closest in size SHOULD be chosen.

    - #### NONANTIALIASED_QUALITY

          public static final HwmfFont.WmfFontQuality NONANTIALIASED_QUALITY

      Specifies that anti-aliasing SHOULD NOT be used when rendering text.

    - #### ANTIALIASED_QUALITY

          public static final HwmfFont.WmfFontQuality ANTIALIASED_QUALITY

      Specifies that anti-aliasing SHOULD be used when rendering text, if the font supports it.

    - #### CLEARTYPE_QUALITY

          public static final HwmfFont.WmfFontQuality CLEARTYPE_QUALITY

      Specifies that ClearType anti-aliasing SHOULD be used when rendering text, if the font supports it. Fonts that do not support ClearType anti-aliasing include type 1 fonts, PostScript fonts, OpenType fonts without TrueType outlines, rasterized fonts, vector fonts, and device fonts.

  - ### Method Detail

    - #### values

          public static HwmfFont.WmfFontQuality[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HwmfFont.WmfFontQuality c : HwmfFont.WmfFontQuality.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HwmfFont.WmfFontQuality valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### valueOf

          public static HwmfFont.WmfFontQuality valueOf(int flag)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.